opencv: cv::MatCommaInitializer_< _Tp > Class Template Reference

Public Member Functions | Protected Attributes

# cv::MatCommaInitializer_< _Tp > Class Template Reference

`#include <core.hpp>`

List of all members.

## Public Member Functions
| MatCommaInitializer_ (Mat_< _Tp > *_m)
| the constructor, created by "matrix << firstValue" operator, where matrix is cv::Mat
| operator Mat_< _Tp > () const
Mat_< _Tp > | operator* () const
| another form of conversion operator
template<typename T2 >
MatCommaInitializer_< _Tp > & | operator, (T2 v)
| the operator that takes the next value and put it to the matrix
## Protected Attributes
MatIterator_< _Tp > | it

## Detailed Description

### template<typename _Tp>
class cv::MatCommaInitializer_< _Tp >

Comma-separated Matrix Initializer

The class instances are usually not created explicitly. Instead, they are created on "matrix << firstValue" operator.

The sample below initializes 2x2 rotation matrix:

     double angle = 30, a = cos(angle*CV_PI/180), b = sin(angle*CV_PI/180);
     Mat R = (Mat_<double>(2,2) << a, -b, b, a);

## Constructor & Destructor Documentation

template<typename _Tp >

cv::MatCommaInitializer_< _Tp >::MatCommaInitializer_ | ( | Mat_< _Tp > * | _m ) | `[inline]`

the constructor, created by "matrix << firstValue" operator, where matrix is cv::Mat

## Member Function Documentation

template<typename _Tp >

cv::MatCommaInitializer_< _Tp >::operator Mat_< _Tp > | ( | ) | const`[inline]`

template<typename _Tp >

Mat_< _Tp > cv::MatCommaInitializer_< _Tp >::operator* | ( | ) | const`[inline]`

another form of conversion operator

template<typename _Tp >
template<typename T2 >

MatCommaInitializer_< _Tp > & cv::MatCommaInitializer_< _Tp >::operator, | ( | T2 | v ) | `[inline]`

the operator that takes the next value and put it to the matrix

## Member Data Documentation

template<typename _Tp>

MatIterator_<_Tp> cv::MatCommaInitializer_< _Tp >::it`[protected]`

The documentation for this class was generated from the following files:

- /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/core/include/opencv2/core/core.hpp
- /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/core/include/opencv2/core/mat.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines